oracle.dbtools.plugin.api.install

## Enum InstallType

- java.lang.Object
- - java.lang.Enum<InstallType>
  - - oracle.dbtools.plugin.api.install.InstallType

- All Implemented Interfaces:
    Serializable, Comparable<InstallType>

      public enum InstallType
      extends Enum<InstallType>

  Enumerates the type of installation
  Since:
    21.2.0
  Author:
    Elizabeth Saunders

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INSTALL` The install type
    `INSTALL_REPAIR` The install repair type
    `INSTALL_STATUS` The install status type
    `UNINSTALL` The uninstall type

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InstallType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static InstallType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSTALL

          public static final InstallType INSTALL

      The install type

    - #### INSTALL_REPAIR

          public static final InstallType INSTALL_REPAIR

      The install repair type

    - #### INSTALL_STATUS

          public static final InstallType INSTALL_STATUS

      The install status type

    - #### UNINSTALL

          public static final InstallType UNINSTALL

      The uninstall type

  - ### Method Detail

    - #### values

          public static InstallType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InstallType c : InstallType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InstallType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2010, 2022, Oracle and/or its affiliates.